Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.afterinvocation
Interface AfterInvocationProvider

All Known Implementing Classes:
  BasicAclEntryAfterInvocationCollectionFilteringProvider, BasicAclEntryAfterInvocationProvider

    public interface AfterInvocationProvider

Indicates a class is responsible for participating in an `AfterInvocationProviderManager` decision.

Version:
  $Id: AfterInvocationProvider.java,v 1.2 2005/11/17 00:55:56 benalex Exp $
Author:
  Ben Alex

Method Summary
`Object` | `decide(Authentication authentication, Object object, ConfigAttributeDefinition config, Object returnedObject)`
`boolean` | `supports(Class clazz)` Indicates whether the `AfterInvocationProvider` is able to provide "after invocation" processing for the indicated secured object type.
`boolean` | `supports(ConfigAttribute attribute)` Indicates whether this `AfterInvocationProvider` is able to participate in a decision involving the passed `ConfigAttribute`.

Method Detail

### decide

    Object decide(Authentication authentication,
                  Object object,
                  ConfigAttributeDefinition config,
                  Object returnedObject)
                  throws AccessDeniedException

  Throws:
    `AccessDeniedException`

### supports

    boolean supports(ConfigAttribute attribute)

  Indicates whether this `AfterInvocationProvider` is able to participate in a decision involving the passed `ConfigAttribute`.

  This allows the `AbstractSecurityInterceptor` to check every configuration attribute can be consumed by the configured `AccessDecisionManager` and/or `RunAsManager` and/or `AccessDecisionManager`.

  Parameters:
    `attribute` - a configuration attribute that has been configured against the `AbstractSecurityInterceptor`
  Returns:
    true if this `AfterInvocationProvider` can support the passed configuration attribute

### supports

    boolean supports(Class clazz)

  Indicates whether the `AfterInvocationProvider` is able to provide "after invocation" processing for the indicated secured object type.

  Parameters:
    `clazz` - the class of secure object that is being queried
  Returns:
    true if the implementation can process the indicated class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.